﻿.container {
  max-width: 100%;
}

.donate-header {
  background-color: var(--logoBlue);
  width: 100vw;
  margin-left: calc(-50vw + 50%); /* force full-width banner */
}

.donate-title {
  font-family: "Segoe UI Black", sans-serif;
  font-size: 3rem;
  font-style: normal;
  padding-top: 2.5rem;
  color: white;
  text-align: center;
  text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.7);
}

.donate-body {
  font-family: "Segoe UI", sans-serif;
  font-weight: 600;
  font-style: normal;
  color: white;
  font-size: 1.5rem;
  padding-top: 0.5rem;
  padding-bottom: 1.5rem;
  text-align: center;
  text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.7);
}

.title-underline {
  width: 100vw;
  height: 50px;
  background-color: var(--darkBlue);
  margin: 0;
  margin-left: calc(-50vw + 50%);
}

.donations-container {
  display: grid;
  max-width: 100%;
  padding-top: 2.2rem;
  padding-left: 2.5rem;
  padding-right: 1rem;
}

.card-header.custom-header {
  background-color: #c4abf9;
}

a:link {
  color: var(--darkOrange);
}

a:visited {
  color: var(--logoBlue);
}

.card {
  border-radius: 0.5rem;
  box-shadow: 0px 0.3rem 0.8rem #D3D3D3;
  border-bottom: 5px solid #744CA3;
  border-right: 5px solid #744CA3;
  border-left: 5px solid #744CA3;
  border-top: 5px solid #744CA3;
  overflow: hidden;
  margin: 0.9rem;
}

.card-header, .card-body {
  border: 0;
}

.card-header {
  background: #744CA3;
  color: white;
  font-family: "Segoe UI Black", sans-serif;
  padding: 1.5rem;
  position: relative;
}

.check-card-header {
  background: #D9814B;
  color: white;
  font-family: "Segoe UI Black", sans-serif;
  padding: 1.5rem;
  position: relative;
}

.check-card {
  border-radius: 0.5rem;
  box-shadow: 0px 0.3rem 0.8rem #D3D3D3;
  border-bottom: 5px solid var(--logoBlue);
  border-right: 5px solid #D9814B;
  border-left: 5px solid #D9814B;
  border-top: 5px solid #D9814B;
  overflow: hidden;
  margin: 0.9rem;
}

.card-header h1 {
  font-family: "Segoe UI Black", sans-serif;
  font-size: 3rem;
  text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.7);
}

.check-card-header h1 {
  font-family: "Segoe UI Black", sans-serif;
  font-size: 3rem;
  text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.7);
}

.card-body p {
  padding: 0.8rem;
  padding-right: 1rem;
  padding-left: 1rem;
  font-family: var(--bodyFont);
  font-size: 1.4rem;
  font-weight: 500;
  color: darkslategrey;
}

.card-body h2 {
  text-align: center;
  font-family: "Segoe UI Black", sans-serif;
  font-size: 2.4rem;
  color: #312045;
}

.card-body h4 {
  padding-left: 5rem;
  padding-bottom: 5rem;
  font-family: var(--bodyFont);
  font-weight: 600;
  font-style: normal;
  font-size: 1.6rem;
  color: #312045;
}

.card-body h5 {
  font-family: "Segoe UI Black", sans-serif;
  font-style: normal;
  font-size: 1.6rem;
  color: #312045;
}

.team-member {
  padding: 1.2rem;
  padding-bottom: 0rem;
  border-radius: 10px;
  position: relative;
}

.team-member:hover {
  background: rgba(var(--logoBlueRGB), 0.05);
}

.team-member h5 {
  margin-left: 0.1rem;
  font-family: var(--bodyFont);
  font-weight: 600;
  color: var(--logoBlue);
  margin-bottom: 0.1rem;
}

.team-member p {
  font-family: var(--bodyFont);
  color: var(--darkBlue);
  margin-left: 0.1rem;
  margin-right: 0.1rem;
  margin-bottom: 0.1rem;
  opacity: 0.8;
}

.subheading {
  background: rgba(var(--logoBlueRGB), 0.5);
  color: var(--logoBlue);
  padding: 1rem;
  border-radius: 8px;
  text-align: center;
  font-family: var(--headerFont);
  font-size: 1.4rem;
  margin-bottom: 1.5rem;
}

.section-divider {
  height: 5px;
  background: var(--darkOrange);
  border-radius: 1px;
  margin: 2rem 0;
  margin-top: 0.4px;
  margin-left: 3rem;
  margin-right: 3rem;
}

#card-header:focus, .member-styling:focus {
  outline: none;
}

#card-header:focus-visible, .member-styling:focus-visible {
  outline: 6px solid var(--darkBlue);
  outline-offset: 4px;
}

.contact-card {
  background-color: #ffe9d0;
  border: none;
  border-bottom: 2px solid var(--logoOrange);
  border-radius: 1rem;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
}

.contact-header {
  font-family: var(--headerFont);
  color: var(--darkBlue);
  font-size: 35px;
}

.contact-desc {
  font-family: var(--bodyFont);
  font-weight: 500;
  color: var(--darkBlue);
  font-size: 18px;
  margin-bottom: 1.5rem;
}

.contact-btn {
  background-color: var(--logoOrange);
  padding: 0.75rem 2rem;
  border-radius: 8px;
  font-family: var(--headerFont);
  font-size: 20px;
  color: var(--logoOrange);
}

.contact-btn,
.contact-btn:link,
.contact-btn:visited,
.contact-btn:hover,
.contact-btn:active,
.contact-btn:focus {
  outline: none;
  color: #000;
  text-decoration: none;
}

.contact-btn:focus-visible {
  outline: 6px solid var(--darkBlue);
  border-radius: 6px;
  outline-offset: 3px;
}
